Subject: Re: Setup - it would be nice if...
From: "Gareth Pearce" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 2 Nov 2001 21:23:50 +1100

Signed myself upto patches and in future I will search that list as well
*slaps forehead*.

Thankyou for directing me to this.

Gareth Pearce
----- Original Message -----
From: "Robert Collins" <[email-masked]>
To: "Gareth Pearce" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, November 02, 2001 9:11 PM
Subject: Re: Setup - it would be nice if...

> On Fri, 2001-11-02 at 20:56, Gareth Pearce wrote:
> > This is not comments of testing the new setup or suggesting that it
should
> > be in the next release...
> > All of the setup discussion reminded me of a feature that I thought
would be
> > nice.  If its been mentioned before, blaim my incompetence with using
search
> > engines... Setup is able to detect if a new version exists and prompts
you
> > about it.  I was thinking that it should be able to offer to download it
> > and, this would probably be more tricky and less important, restart
itself.
> >
> > If my workload manges to stabalise I might look into doing this sort of
> > thing myself, but at the moment I will just suggest...
> >
>
> I've released a patch for setup.exe that does this, look in the recent
> archives of cygwin-patches.
>
> It's highly experimental, but it seems to work in my testing.
>
> It has 3 TODO's to get it into the main setup.exe.
>
> 1) Code tidy up, as opposed to quick'n'dirty hack.
> 2) Instead of downloading setup.exe and copyandspawn.exe it should
> download a setup package, and a copyandspawn package, extract
> copyandspawn.exe to the setup dir, and extract setup.exe to the tmp dir.
> 3) The dialog that warns about replacing setup.exe should be given a
> checkbox, that defaults to ticked, with the caption "Auto-upgrade
> setup.exe", and if that checkbox is not ticked, setup.exe should behave
> the way it does now.
>
> Cheers,
> Rob
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/